{
  "openapi": "3.0.3",
  "info": {
    "title": "Checkout",
    "description": "Checkout support a buyer's shopping journey, enabling them to receive and purchase products through personalized payment agreement options",
    "version": "2.0.0",
    "contact": {
      "email": "partnership-growth@getbread.com"
    }
  },
  "servers": [
    {
      "url": "https://api-preview.platform.breadpayments.com/",
      "description": "Preview environment"
    },
    {
      "url": "https://api.platform.breadpayments.com/",
      "description": "Production environment"
    }
  ],
  "paths": {
    "/api/application": {
      "get": {
        "tags": [
          "Application"
        ],
        "summary": "List Applications by Filter",
        "description": "Allows a consumer to list all Applications within their user scope (e.g. Tenants, Buyers and Merchants can only retrieve their own Applications). By providing query parameters, the list results can be filtered.\n\nUpon success, a paginated list of relevant Applications will be returned. If no Applications were found with the provided filters, the response will be 200 OK with an empty array of Applications.\n\n**JWT Claim Authorization:**\n**TenantID**: Required (non-nil); scopes results to the caller's tenant.\n**MerchantID**: Optional; if present in token and a `merchantID` query filter is also provided, they must match or the request is rejected. If present in token, applied as a filter.\n**ProgramID**: Optional; if present in token, applied as a filter.\n**BuyerID**: Optional; if present in token, limits results to the caller's own applications.",
        "operationId": "listApplications",
        "parameters": [
          {
            "name": "buyerID.eq",
            "in": "query",
            "description": "The unique identifier of the Buyer.",
            "required": false,
            "schema": {
              "type": "string",
              "format": "uuid"
            }
          },
          {
            "name": "merchantID.eq",
            "in": "query",
            "description": "The unique identifier of the Merchant. Must match merchantID on the JWT if provided.",
            "required": false,
            "schema": {
              "type": "string",
              "format": "uuid"
            }
          },
          {
            "name": "status.eq",
            "in": "query",
            "description": "The status to filter the Application records by.",
            "required": false,
            "schema": {
              "type": "string",
              "enum": [
                "APPROVED",
                "ATTEMPTED_CHECKOUT",
                "ATTEMPTED_PREPARE_CHECKOUT",
                "CANCELLED",
                "CHECKOUT_EXTENDED",
                "CHECKOUT_COMPLETED",
                "CHECKOUT_PREPARED",
                "DENIED",
                "EXPIRED",
                "INELIGIBLE",
                "NEEDS_ACTION",
                "STARTED"
              ]
            }
          },
          {
            "name": "statusCode.eq",
            "in": "query",
            "description": "The status code to filter the Application records by.",
            "required": false,
            "style": "form",
            "explode": true,
            "schema": {
              "type": "array",
              "minItems": 0,
              "items": {
                "type": "string",
                "pattern": "^[0-9]{6}$",
                "example": "030101"
              }
            }
          },
          {
            "name": "statusCode.ne",
            "in": "query",
            "description": "The status code that don't match to filter the Application records by.",
            "required": false,
            "style": "form",
            "explode": true,
            "schema": {
              "type": "array",
              "minItems": 0,
              "items": {
                "type": "string",
                "pattern": "^[0-9]{6}$",
                "example": "030101"
              }
            }
          },
          {
            "name": "showExpired.eq",
            "in": "query",
            "required": false,
            "description": "Show expired applications. Defaults to true.",
            "schema": {
              "type": "boolean"
            }
          },
          {
            "name": "normalizedAddressHash.eq",
            "in": "query",
            "required": false,
            "description": "Show applications associated with provided normalized address hash.",
            "schema": {
              "type": "string",
              "format": "sha256"
            }
          },
          {
            "name": "metadata.eq",
            "in": "query",
            "description": "Show metadata associated with the application. Defaults to false.",
            "required": false,
            "schema": {
              "type": "boolean"
            }
          },
          {
            "name": "updatedAt.gte",
            "in": "query",
            "description": "The lower bound of the date range, inclusive.",
            "required": false,
            "schema": {
              "type": "string",
              "format": "YYYY-MM-DD"
            }
          },
          {
            "name": "updatedAt.lte",
            "in": "query",
            "description": "The upper bound of the date range, inclusive.",
            "required": false,
            "schema": {
              "type": "string",
              "format": "YYYY-MM-DD"
            }
          },
          {
            "name": "lastTimestamp.eq",
            "in": "query",
            "description": "The timestamp value formatted per RFC3339 of the last Application from the previous page, used for keyset pagination. Depends on whether createdAt or updatedAt is used for sorting.",
            "required": false,
            "schema": {
              "type": "string",
              "format": "date-time",
              "example": "2025-12-31T20:44:29.057144-04:00"
            }
          },
          {
            "name": "lastID.eq",
            "in": "query",
            "description": "The unique identifier of the last ID from the previous page, used for keyset pagination.",
            "required": false,
            "schema": {
              "type": "string",
              "format": "uuid",
              "example": "652ee2a3-7b25-431b-bd22-0490db77c444"
            }
          },
          {
            "name": "sort",
            "in": "query",
            "description": "Specifies the sort order for paginated results. Accepts createdAt or updatedAt fields with ascending or descending order.",
            "required": false,
            "schema": {
              "type": "string",
              "enum": [
                "createdAt.asc",
                "createdAt.desc",
                "updatedAt.asc",
                "updatedAt.desc"
              ]
            }
          },
          {
            "in": "query",
            "name": "limit",
            "description": "The maximum number of records that will be returned in a result set.",
            "required": false,
            "schema": {
              "type": "integer",
              "minimum": 1,
              "maximum": 200,
              "default": 10
            },
            "example": 50
          },
          {
            "in": "query",
            "name": "offset",
            "description": "The number of records to skip before starting to collect the result set. Used in conjunction with limit query parameter for pagination support",
            "required": false,
            "schema": {
              "type": "integer",
              "minimum": 0,
              "default": 0
            },
            "example": 20
          }
        ],
        "security": [
          {
            "bearerAuthApplication": [
              "r:application"
            ]
          }
        ],
        "responses": {
          "200": {
            "description": "The list of Applications including pagination.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "applications": {
                      "description": "The list of Applications that satisfy the provided filtering and scope conditions.",
                      "type": "array",
                      "items": {
                        "type": "object",
                        "title": "Application",
                        "description": "The Application for a given Buyer with Payment Agreement(s), if any.",
                        "required": [
                          "id",
                          "buyerID",
                          "createdAt",
                          "expiresAt",
                          "tenantID",
                          "merchantID",
                          "paymentAgreements",
                          "programID",
                          "offers",
                          "order",
                          "updatedAt"
                        ],
                        "properties": {
                          "id": {
                            "type": "string",
                            "format": "uuid",
                            "description": "Unique identifier of the Application."
                          },
                          "buyerID": {
                            "type": "string",
                            "format": "uuid",
                            "description": "Unique identifier of the Buyer."
                          },
                          "tenantID": {
                            "type": "string",
                            "format": "uuid",
                            "description": "Unique identifier of the Tenant."
                          },
                          "merchantID": {
                            "type": "string",
                            "format": "uuid",
                            "description": "Unique identifier of the Merchant."
                          },
                          "programID": {
                            "type": "string",
                            "format": "uuid",
                            "description": "Unique identifier of the Program."
                          },
                          "paymentMethodID": {
                            "type": "string",
                            "format": "uuid",
                            "description": "If exists, unique identifier of the payment method for an application."
                          },
                          "locationID": {
                            "type": "string",
                            "format": "uuid",
                            "description": "Unique identifier of the Location for instore applications."
                          },
                          "cartID": {
                            "type": "string",
                            "format": "uuid",
                            "description": "Unique identifier of the Cart for applications associated with a Cart"
                          },
                          "billingContact": {
                            "type": "object",
                            "required": [
                              "name"
                            ],
                            "properties": {
                              "name": {
                                "required": [
                                  "familyName",
                                  "givenName"
                                ],
                                "type": "object",
                                "properties": {
                                  "givenName": {
                                    "type": "string",
                                    "description": "Given name",
                                    "example": "John"
                                  },
                                  "familyName": {
                                    "type": "string",
                                    "description": "Family name",
                                    "example": "Doe"
                                  },
                                  "additionalName": {
                                    "type": "string",
                                    "description": "Additional name, if any"
                                  }
                                },
                                "description": "Represents the full name"
                              },
                              "phone": {
                                "type": "string",
                                "description": "Telephone number including country code",
                                "example": "+14539842345"
                              },
                              "address": {
                                "required": [
                                  "address1",
                                  "locality",
                                  "postalCode",
                                  "region",
                                  "country"
                                ],
                                "type": "object",
                                "properties": {
                                  "address1": {
                                    "type": "string",
                                    "description": "First address line",
                                    "example": "156 5th Avenue"
                                  },
                                  "address2": {
                                    "type": "string",
                                    "description": "Second address line"
                                  },
                                  "locality": {
                                    "type": "string",
                                    "description": "The locality (e.g. City) of the address.",
                                    "example": "New York"
                                  },
                                  "postalCode": {
                                    "type": "string",
                                    "description": "The administrative postal code (e.g. Zip Code)",
                                    "example": "10019"
                                  },
                                  "region": {
                                    "type": "string",
                                    "description": "The region or first-level administration division (e.g. State/Province) of the address.",
                                    "example": "US-NY",
                                    "minLength": 2,
                                    "externalDocs": {
                                      "description": "ISO-3166-2",
                                      "url": "https://en.wikipedia.org/wiki/ISO_3166-2"
                                    }
                                  },
                                  "country": {
                                    "type": "string",
                                    "description": "The two character ISO-3166-1 country code.",
                                    "example": "US",
                                    "minLength": 2,
                                    "maxLength": 2,
                                    "externalDocs": {
                                      "description": "ISO-3166-1",
                                      "url": "https://en.wikipedia.org/wiki/ISO_3166-1"
                                    }
                                  }
                                },
                                "description": "Represents a fully defined address for an entity"
                              },
                              "email": {
                                "type": "string",
                                "format": "email",
                                "description": "Email address",
                                "example": "john.doe@gmail.com"
                              }
                            },
                            "description": "Represents contact information for an entity"
                          },
                          "shippingContact": {
                            "type": "object",
                            "required": [
                              "name"
                            ],
                            "properties": {
                              "name": {
                                "required": [
                                  "familyName",
                                  "givenName"
                                ],
                                "type": "object",
                                "properties": {
                                  "givenName": {
                                    "type": "string",
                                    "description": "Given name",
                                    "example": "John"
                                  },
                                  "familyName": {
                                    "type": "string",
                                    "description": "Family name",
                                    "example": "Doe"
                                  },
                                  "additionalName": {
                                    "type": "string",
                                    "description": "Additional name, if any"
                                  }
                                },
                                "description": "Represents the full name"
                              },
                              "phone": {
                                "type": "string",
                                "description": "Telephone number including country code",
                                "example": "+14539842345"
                              },
                              "address": {
                                "required": [
                                  "address1",
                                  "locality",
                                  "postalCode",
                                  "region",
                                  "country"
                                ],
                                "type": "object",
                                "properties": {
                                  "address1": {
                                    "type": "string",
                                    "description": "First address line",
                                    "example": "156 5th Avenue"
                                  },
                                  "address2": {
                                    "type": "string",
                                    "description": "Second address line"
                                  },
                                  "locality": {
                                    "type": "string",
                                    "description": "The locality (e.g. City) of the address.",
                                    "example": "New York"
                                  },
                                  "postalCode": {
                                    "type": "string",
                                    "description": "The administrative postal code (e.g. Zip Code)",
                                    "example": "10019"
                                  },
                                  "region": {
                                    "type": "string",
                                    "description": "The region or first-level administration division (e.g. State/Province) of the address.",
                                    "example": "US-NY",
                                    "minLength": 2,
                                    "externalDocs": {
                                      "description": "ISO-3166-2",
                                      "url": "https://en.wikipedia.org/wiki/ISO_3166-2"
                                    }
                                  },
                                  "country": {
                                    "type": "string",
                                    "description": "The two character ISO-3166-1 country code.",
                                    "example": "US",
                                    "minLength": 2,
                                    "maxLength": 2,
                                    "externalDocs": {
                                      "description": "ISO-3166-1",
                                      "url": "https://en.wikipedia.org/wiki/ISO_3166-1"
                                    }
                                  }
                                },
                                "description": "Represents a fully defined address for an entity"
                              },
                              "email": {
                                "type": "string",
                                "format": "email",
                                "description": "Email address",
                                "example": "john.doe@gmail.com"
                              }
                            },
                            "description": "Represents contact information for an entity"
                          },
                          "order": {
                            "description": "The collection of items that the Buyer wants to purchase with a Bread product.",
                            "allOf": [
                              {
                                "type": "object",
                                "title": "Order",
                                "description": "The collection of items that the Buyer wants to purchase with a Bread product.",
                                "required": [
                                  "subTotal",
                                  "totalDiscounts",
                                  "totalPrice",
                                  "totalShipping",
                                  "totalTax"
                                ],
                                "properties": {
                                  "subTotal": {
                                    "description": "The total price of items excluding tax. The value must be greater than or equal to 0. If there are items, subTotal must equal the sum of all items'' unitPrice values accounting for quantities.",
                                    "allOf": [
                                      {
                                        "required": [
                                          "currency",
                                          "value"
                                        ],
                                        "properties": {
                                          "currency": {
                                            "type": "string",
                                            "description": "The three letter currency code as defined in ISO 4217.",
                                            "example": "USD",
                                            "minLength": 3,
                                            "maxLength": 3,
                                            "externalDocs": {
                                              "description": "ISO 4217",
                                              "url": "https://en.wikipedia.org/wiki/ISO_4217"
                                            }
                                          },
                                          "value": {
                                            "type": "integer",
                                            "description": "Monetary value as an integral number of the currency fractional unit e.g for USD: cents",
                                            "format": "int64",
                                            "example": 100
                                          }
                                        },
                                        "description": "Represents a monetary amount in the specified currency",
                                        "example": {
                                          "currency": "USD",
                                          "value": 50000
                                        }
                                      }
                                    ]
                                  },
                                  "totalDiscounts": {
                                    "description": "The total price of discounts applied to this Order. The value must be greater than or equal to 0.",
                                    "allOf": [
                                      {
                                        "required": [
                                          "currency",
                                          "value"
                                        ],
                                        "properties": {
                                          "currency": {
                                            "type": "string",
                                            "description": "The three letter currency code as defined in ISO 4217.",
                                            "example": "USD",
                                            "minLength": 3,
                                            "maxLength": 3,
                                            "externalDocs": {
                                              "description": "ISO 4217",
                                              "url": "https://en.wikipedia.org/wiki/ISO_4217"
                                            }
                                          },
                                          "value": {
                                            "type": "integer",
                                            "description": "Monetary value as an integral number of the currency fractional unit e.g for USD: cents",
                                            "format": "int64",
                                            "example": 100
                                          }
                                        },
                                        "description": "Represents a monetary amount in the specified currency",
                                        "example": {
                                          "currency": "USD",
                                          "value": 50000
                                        }
                                      }
                                    ]
                                  },
                                  "totalPrice": {
                                    "description": "The total price of the Order. The value must be greater than 0 and equal to the sum of subTotal, totalShipping and totalTax minus the totalDiscounts.",
                                    "allOf": [
                                      {
                                        "required": [
                                          "currency",
                                          "value"
                                        ],
                                        "properties": {
                                          "currency": {
                                            "type": "string",
                                            "description": "The three letter currency code as defined in ISO 4217.",
                                            "example": "USD",
                                            "minLength": 3,
                                            "maxLength": 3,
                                            "externalDocs": {
                                              "description": "ISO 4217",
                                              "url": "https://en.wikipedia.org/wiki/ISO_4217"
                                            }
                                          },
                                          "value": {
                                            "type": "integer",
                                            "description": "Monetary value as an integral number of the currency fractional unit e.g for USD: cents",
                                            "format": "int64",
                                            "example": 100
                                          }
                                        },
                                        "description": "Represents a monetary amount in the specified currency",
                                        "example": {
                                          "currency": "USD",
                                          "value": 50000
                                        }
                                      }
                                    ]
                                  },
                                  "totalShipping": {
                                    "description": "The total shipping costs for this Order. The value must be greater than or equal to 0.",
                                    "allOf": [
                                      {
                                        "required": [
                                          "currency",
                                          "value"
                                        ],
                                        "properties": {
                                          "currency": {
                                            "type": "string",
                                            "description": "The three letter currency code as defined in ISO 4217.",
                                            "example": "USD",
                                            "minLength": 3,
                                            "maxLength": 3,
                                            "externalDocs": {
                                              "description": "ISO 4217",
                                              "url": "https://en.wikipedia.org/wiki/ISO_4217"
                                            }
                                          },
                                          "value": {
                                            "type": "integer",
                                            "description": "Monetary value as an integral number of the currency fractional unit e.g for USD: cents",
                                            "format": "int64",
                                            "example": 100
                                          }
                                        },
                                        "description": "Represents a monetary amount in the specified currency",
                                        "example": {
                                          "currency": "USD",
                                          "value": 50000
                                        }
                                      }
                                    ]
                                  },
                                  "totalTax": {
                                    "description": "The total amount of tax applied to this Order. The value must be greater than or equal to 0. If there are items, totalTax must equal the sum of all items'' unitTax values accounting for quantities.",
                                    "allOf": [
                                      {
                                        "required": [
                                          "currency",
                                          "value"
                                        ],
                                        "properties": {
                                          "currency": {
                                            "type": "string",
                                            "description": "The three letter currency code as defined in ISO 4217.",
                                            "example": "USD",
                                            "minLength": 3,
                                            "maxLength": 3,
                                            "externalDocs": {
                                              "description": "ISO 4217",
                                              "url": "https://en.wikipedia.org/wiki/ISO_4217"
                                            }
                                          },
                                          "value": {
                                            "type": "integer",
                                            "description": "Monetary value as an integral number of the currency fractional unit e.g for USD: cents",
                                            "format": "int64",
                                            "example": 100
                                          }
                                        },
                                        "description": "Represents a monetary amount in the specified currency",
                                        "example": {
                                          "currency": "USD",
                                          "value": 50000
                                        }
                                      }
                                    ]
                                  },
                                  "discountCode": {
                                    "type": "string",
                                    "description": "Discount code applied to this Order."
                                  },
                                  "pickupInformation": {
                                    "description": "Pickup information describes a person and store location for pickup.",
                                    "type": "object",
                                    "required": [
                                      "name",
                                      "address"
                                    ],
                                    "properties": {
                                      "name": {
                                        "required": [
                                          "familyName",
                                          "givenName"
                                        ],
                                        "type": "object",
                                        "properties": {
                                          "givenName": {
                                            "type": "string",
                                            "description": "Given name",
                                            "example": "John"
                                          },
                                          "familyName": {
                                            "type": "string",
                                            "description": "Family name",
                                            "example": "Doe"
                                          },
                                          "additionalName": {
                                            "type": "string",
                                            "description": "Additional name, if any"
                                          }
                                        },
                                        "description": "Represents the full name"
                                      },
                                      "phone": {
                                        "type": "string",
                                        "description": "Telephone number including country code",
                                        "example": "+14539842345"
                                      },
                                      "address": {
                                        "required": [
                                          "address1",
                                          "locality",
                                          "postalCode",
                                          "region",
                                          "country"
                                        ],
                                        "type": "object",
                                        "properties": {
                                          "address1": {
                                            "type": "string",
                                            "description": "First address line",
                                            "example": "156 5th Avenue"
                                          },
                                          "address2": {
                                            "type": "string",
                                            "description": "Second address line"
                                          },
                                          "locality": {
                                            "type": "string",
                                            "description": "The locality (e.g. City) of the address.",
                                            "example": "New York"
                                          },
                                          "postalCode": {
                                            "type": "string",
                                            "description": "The administrative postal code (e.g. Zip Code)",
                                            "example": "10019"
                                          },
                                          "region": {
                                            "type": "string",
                                            "description": "The region or first-level administration division (e.g. State/Province) of the address.",
                                            "example": "US-NY",
                                            "minLength": 2,
                                            "externalDocs": {
                                              "description": "ISO-3166-2",
                                              "url": "https://en.wikipedia.org/wiki/ISO_3166-2"
                                            }
                                          },
                                          "country": {
                                            "type": "string",
                                            "description": "The two character ISO-3166-1 country code.",
                                            "example": "US",
                                            "minLength": 2,
                                            "maxLength": 2,
                                            "externalDocs": {
                                              "description": "ISO-3166-1",
                                              "url": "https://en.wikipedia.org/wiki/ISO_3166-1"
                                            }
                                          }
                                        },
                                        "description": "Represents a fully defined address for an entity"
                                      },
                                      "email": {
                                        "type": "string",
                                        "format": "email",
                                        "description": "Email address",
                                        "example": "john.doe@gmail.com"
                                      }
                                    }
                                  },
                                  "fulfillmentType": {
                                    "type": "string",
                                    "enum": [
                                      "",
                                      "PICKUP",
                                      "DELIVERY",
                                      "MULTIPLE"
                                    ],
                                    "description": "The fulfillment type of the order."
                                  },
                                  "items": {
                                    "type": "array",
                                    "description": "The list of items to be purchased in this Order.",
                                    "items": {
                                      "type": "object",
                                      "title": "Order Item",
                                      "description": "An item that the Buyer wants to purchase with a Bread product.",
                                      "required": [
                                        "name",
                                        "quantity",
                                        "unitPrice",
                                        "unitTax",
                                        "shippingCost"
                                      ],
                                      "properties": {
                                        "name": {
                                          "type": "string",
                                          "description": "The name of the item to be purchased.",
                                          "example": "Noise Cancelling Headphones Q30"
                                        },
                                        "category": {
                                          "type": "string",
                                          "description": "The category of the product under which the item is listed.",
                                          "example": "Headphones"
                                        },
                                        "quantity": {
                                          "type": "integer",
                                          "description": "The number of items to be purchased. The value must be greater than 0.",
                                          "example": 2
                                        },
                                        "unitPrice": {
                                          "description": "The price per unit of item. The value must be greater than or equal to 0.",
                                          "allOf": [
                                            {
                                              "required": [
                                                "currency",
                                                "value"
                                              ],
                                              "properties": {
                                                "currency": {
                                                  "type": "string",
                                                  "description": "The three letter currency code as defined in ISO 4217.",
                                                  "example": "USD",
                                                  "minLength": 3,
                                                  "maxLength": 3,
                                                  "externalDocs": {
                                                    "description": "ISO 4217",
                                                    "url": "https://en.wikipedia.org/wiki/ISO_4217"
                                                  }
                                                },
                                                "value": {
                                                  "type": "integer",
                                                  "description": "Monetary value as an integral number of the currency fractional unit e.g for USD: cents",
                                                  "format": "int64",
                                                  "example": 100
                                                }
                                              },
                                              "description": "Represents a monetary amount in the specified currency",
                                              "example": {
                                                "currency": "USD",
                                                "value": 50000
                                              }
                                            }
                                          ]
                                        },
                                        "unitTax": {
                                          "description": "The tax per unit of item. The value must be greater than or equal to 0.",
                                          "allOf": [
                                            {
                                              "required": [
                                                "currency",
                                                "value"
                                              ],
                                              "properties": {
                                                "currency": {
                                                  "type": "string",
                                                  "description": "The three letter currency code as defined in ISO 4217.",
                                                  "example": "USD",
                                                  "minLength": 3,
                                                  "maxLength": 3,
                                                  "externalDocs": {
                                                    "description": "ISO 4217",
                                                    "url": "https://en.wikipedia.org/wiki/ISO_4217"
                                                  }
                                                },
                                                "value": {
                                                  "type": "integer",
                                                  "description": "Monetary value as an integral number of the currency fractional unit e.g for USD: cents",
                                                  "format": "int64",
                                                  "example": 100
                                                }
                                              },
                                              "description": "Represents a monetary amount in the specified currency",
                                              "example": {
                                                "currency": "USD",
                                                "value": 50000
                                              }
                                            }
                                          ]
                                        },
                                        "sku": {
                                          "type": "string",
                                          "description": "The unique SKU number of the item."
                                        },
                                        "itemUrl": {
                                          "type": "string",
                                          "description": "The URL for referencing further details about the item."
                                        },
                                        "imageUrl": {
                                          "type": "string",
                                          "description": "The URL for the item image."
                                        },
                                        "description": {
                                          "type": "string",
                                          "description": "A longer description of the item."
                                        },
                                        "shippingCost": {
                                          "description": "The cost of shipping all units of this item. The value must be greater than or equal to 0.",
                                          "allOf": [
                                            {
                                              "required": [
                                                "currency",
                                                "value"
                                              ],
                                              "properties": {
                                                "currency": {
                                                  "type": "string",
                                                  "description": "The three letter currency code as defined in ISO 4217.",
                                                  "example": "USD",
                                                  "minLength": 3,
                                                  "maxLength": 3,
                                                  "externalDocs": {
                                                    "description": "ISO 4217",
                                                    "url": "https://en.wikipedia.org/wiki/ISO_4217"
                                                  }
                                                },
                                                "value": {
                                                  "type": "integer",
                                                  "description": "Monetary value as an integral number of the currency fractional unit e.g for USD: cents",
                                                  "format": "int64",
                                                  "example": 100
                                                }
                                              },
                                              "description": "Represents a monetary amount in the specified currency",
                                              "example": {
                                                "currency": "USD",
                                                "value": 50000
                                              }
                                            }
                                          ]
                                        },
                                        "shippingProvider": {
                                          "type": "string",
                                          "description": "The provider that will be used to ship the item."
                                        },
                                        "shippingDescription": {
                                          "type": "string",
                                          "description": "The description of the shipping method (e.g. standard, express)."
                                        },
                                        "shippingTrackingNumber": {
                                          "type": "string",
                                          "description": "The tracking number that is provided by a shipping provider."
                                        },
                                        "shippingTrackingUrl": {
                                          "type": "string",
                                          "description": "The URL for referencing further details about the shipping."
                                        },
                                        "fulfillmentType": {
                                          "type": "string",
                                          "enum": [
                                            "",
                                            "PICKUP",
                                            "DELIVERY"
                                          ],
                                          "description": "The fulfillment type of the order item."
                                        }
                                      }
                                    }
                                  }
                                }
                              }
                            ]
                          },
                          "paymentAgreements": {
                            "description": "The list of Payment Agreements associated with the Application.",
                            "type": "array",
                            "items": {
                              "type": "object",
                              "description": "A Payment Agreement offered to the Buyer for this Application.",
                              "required": [
                                "id",
                                "createdAt",
                                "updatedAt",
                                "paymentProductID",
                                "paymentAmount",
                                "status",
                                "terms"
                              ],
                              "properties": {
                                "id": {
                                  "type": "string",
                                  "format": "uuid",
                                  "description": "Unique identifier of the Payment Agreement that was created during Start."
                                },
                                "paymentProductID": {
                                  "type": "string",
                                  "format": "uuid",
                                  "description": "Unique identifier of the Payment Product."
                                },
                                "status": {
                                  "type": "string",
                                  "enum": [
                                    "OFFERED",
                                    "ACCEPTED",
                                    "EXPIRED",
                                    "REVIEW",
                                    "OUTSTANDING",
                                    "PAID",
                                    "CHARGED_OFF",
                                    "CANCELLED",
                                    "CLOSED"
                                  ],
                                  "description": "The Status of the Payment Agreement."
                                },
                                "statusCodes": {
                                  "description": "List of numerical status codes that provide more information on the reason for the Payment Agreement status.",
                                  "type": "array",
                                  "items": {
                                    "type": "string",
                                    "description": "A six digit string representing the system, status and substatus.<br><br>**020101** - Buyer is eligible<br>Experience Code: 000<br>**020202** - Buyer is ineligible (status)<br>Experience Code: 008<br>**020203** - Buyer is ineligible (country)<br>Experience Code: 008<br>**020204** - Buyer is ineligible (region)<br>Experience Code: 008<br>**020205** - Buyer is ineligible (age)<br>Experience Code: 008<br>**020206** - Buyer is ineligible (age - AL)<br>Experience Code: 002<br>**020207** - Buyer is ineligible due to invalid PO box address<br>Experience Code: 003<br>**020208** - Buyer is ineligible due to address being No Match<br>Experience Code: 004<br>**030101** - Application approved for checkout<br>Experience Code: 000<br>**030102** - Application partially approved for checkout<br>Experience Code: 000<br>**030103** - Application contingent approved for checkout<br>Experience Code: 012<br>**030205** - Merchant/payment product configured cart size doesn't fit<br>Experience Code: 008<br>**030209** - Ineligible denied in last 90 Days<br>**030211** - Participating in Skip Payments<br>Experience Code: 008<br>**030231** - Max card attempts last 30 days<br>Experience Code: 008<br>**030232** - Unpaid outstanding loans<br>Experience Code: 008<br>**030240** - Credit pulled 5 or more times within 24 hours<br>**030306** - Credit Freeze<br>Experience Code: 005<br>**030307** - DOB, short SSN  mismatch or Credit No Hit<br>**030353** - Incomplete No EFA Phone Number<br>Experience Code: 001<br>**030354** - Incomplete Credit Optics Freeze<br>Experience Code: 005<br>**030355** - Incomplete Precise ID Freeze<br>Experience Code: 005<br>**030404** - Full SSN mismatch or credit no hit (with full SSN)<br>Experience Code: 008<br>**030408** - Credit Denial<br>**030410** - Credit freeze denial<br>**030412** - ADS Credit file denial from underwriting service<br>Experience Code: 008<br>**030413** - ADS Credit file denial from underwriting service<br>Experience Code: 008<br>**030414** - ADS Credit file denial from underwriting service<br>Experience Code: 008<br>**030415** - ADS Credit file denial from underwriting service<br>**030416** - ADS Credit file denial from underwriting service<br>**030417** - ADS Credit file denial from underwriting service<br>**030418** - ADS Credit file denial from underwriting service<br>Experience Code: 008<br>**030419** - ADS Credit file denial from underwriting service<br>Experience Code: 008<br>**030420** - ADS Credit file denial from underwriting service<br>**030421** - ADS Credit file denial from underwriting service<br>Experience Code: 008<br>**030422** - ADS Credit file denial from underwriting service<br>**030423** - Denied low FICO<br>**030424** - ADS Credit file denial from underwriting service<br>Experience Code: 008<br>**030425** - ADS Credit file denial from underwriting service<br>Experience Code: 008<br>**030426** - ADS Credit file denial from underwriting service<br>Experience Code: 008<br>**030427** - ADS Credit file denial from underwriting service<br>Experience Code: 008<br>**030428** - ADS Credit file denial from underwriting service<br>Experience Code: 008<br>**030429** - ADS Credit file denial from underwriting service<br>Experience Code: 008<br>**030430** - ADS Credit file denial from underwriting service<br>Experience Code: 008<br>**030433** - Denied low credit limit<br>Experience Code: 008<br>**030434** - SplitPay Denied Low Credit Limit & Low FICO<br>**030435** - Credit card debt (bankcard + retail) >50k<br>Experience Code: 008<br>**030436** - Credit card debt (bankcard + retail) <2k<br>Experience Code: 008<br>**030437** - Self reported income <20,000<br>Experience Code: 008<br>**030438** - Low vantage (<660)<br>**030439** - Buyer status is insolvent<br>**030441** - Buyer has previous credit abuse<br>Experience Code: 008<br>**030442** - Buyer is deceased per Credit Optics<br>Experience Code: 008<br>**030443** - Buyer is declined per Credit Optics<br>Experience Code: 008<br>**030444** - Buyer is deceased<br>Experience Code: 008<br>**030445** - Buyer is deceased per Precise ID<br>Experience Code: 008<br>**030446** - Buyer is declined per Precise ID<br>Experience Code: 008<br>**030447** - Buyer is deceased per Equifax<br>Experience Code: 008<br>**030448** - Miscellaneous Denials for Bureau Data reasons<br>Experience Code: 008<br>**030449** - Buyer credit score denial<br>Experience Code: 008<br>**030450** - ADS Credit file denial from underwriting service<br>Experience Code: 008<br>**030451** - ADS Credit file denial from underwriting service<br>Experience Code: 008<br>**030452** - ADS Credit file denial from underwriting service<br>Experience Code: 008<br>**030456** - Buyer credit experience denial<br>Experience Code: 008<br>**030457** - Buyer recent trades denial<br>Experience Code: 008<br>**030500** - Application transaction authorization approved for checkout<br>**030626** - Transaction authorization denied due to past loan overdue<br>**030627** - Transaction authorization denied due to Bread Pay Bread Loan 30 DPD<br>**040100** - Fraud pass<br>Experience Code: 000<br>**040201** - Fraud Stopped - Low risk tags<br>Experience Code: 009<br>**040202** - Fraud Stopped - High risk tags<br>Experience Code: 009<br>**040204** - Fraud Stopped - Extended fraud alert<br>Experience Code: 009<br>**040210** - Fraud Stopped - Credit Freeze<br>Experience Code: 006<br>**040211** - Fraud Stopped - Victim Statement<br>Experience Code: 009<br>**040212** - Fraud Stopped - Victim Statement No Safe Harbor<br>Experience Code: 001<br>**040213** - There is an outage with a fraud provider<br>Experience Code: 014<br>**040300** - Fraud Failed - user on blocklist (+ generic fail)<br>**040303** - Fraud Failed<br>**040305** - Applicant fails ID verification<br>Experience Code: 008<br>**040306** - Fraud Failed - Applicant fails manual review<br>Experience Code: 008<br>**040307** - Fraud - Precise ID Denied<br>Experience Code: 008<br>**040308** - Fraud Failed - Applicant fails block list check<br>**040309** - Fraud Denied - Deceased<br>Experience Code: 008<br>**040400** - Fraud Failed<br>**040500** - Fraud transaction authorization approved<br>Experience Code: 000<br>**040613** - Fraud transaction authorization denied - Marqeta Denial<br>**040614** - Fraud transaction authorization denied - Buyer Status Denial<br>**050100** - KYC Pass<br>Experience Code: 000<br>**050301** - KYC Incomplete failed<br>**050303** - KYC Incomplete need more info<br>Experience Code: 009<br>**050305** - KYC Incomplete credit freeze on file<br>**050400** - KYC failed<br>Experience Code: 008<br>**060100** - Sanctions Pass<br>Experience Code: 000<br>**060301** - Sanctions (OFAC) Stopped<br>Experience Code: 007<br>**060400** - Sanctions Stopped<br>Experience Code: 007<br>**070100** - SplitPay Checkout Complete<br>**070101** - SplitPay Checkout Complete<br>Experience Code: 000<br>**070201** - SplitPay payment auth failed, retry not allowed<br>Experience Code: 008<br>**070202** - SplitPay payment auth failed, retry allowed<br>Experience Code: 013<br>**080101** - Application cancelled contingent on restart with parent<br>Experience Code: 010<br>**080102** - Application cancelled partial on restart with parent<br>Experience Code: 010<br>**090000** - Virtual Card Issuance Accepted<br>**090100** - Virtual Card Issuance Denied - Unknown Reason<br>**090101** - Virtual Card Issuance Denied - Expired Card<br>**090102** - Virtual Card Issuance Denied - Insufficient Funds<br>**090103** - Virtual Card Issuance Denied - Invalid Merchant<br>**090104** - Virtual Card Issuance Denied - Transaction Count Limit Exceeded<br>**090105** - Virtual Card Issuance Denied - Transaction Not Permitted<br>",
                                    "enum": [
                                      "020101",
                                      "020202",
                                      "020203",
                                      "020204",
                                      "020205",
                                      "020206",
                                      "020207",
                                      "020208",
                                      "030101",
                                      "030102",
                                      "030103",
                                      "030205",
                                      "030209",
                                      "030211",
                                      "030231",
                                      "030232",
                                      "030240",
                                      "030306",
                                      "030307",
                                      "030353",
                                      "030354",
                                      "030355",
                                      "030404",
                                      "030408",
                                      "030410",
                                      "030412",
                                      "030413",
                                      "030414",
                                      "030415",
                                      "030416",
                                      "030417",
                                      "030418",
                                      "030419",
                                      "030420",
                                      "030421",
                                      "030422",
                                      "030423",
                                      "030424",
                                      "030425",
                                      "030426",
                                      "030427",
                                      "030428",
                                      "030429",
                                      "030430",
                                      "030433",
                                      "030434",
                                      "030435",
                                      "030436",
                                      "030437",
                                      "030438",
                                      "030439",
                                      "030441",
                                      "030442",
                                      "030443",
                                      "030444",
                                      "030445",
                                      "030446",
                                      "030447",
                                      "030448",
                                      "030449",
                                      "030450",
                                      "030451",
                                      "030452",
                                      "030456",
                                      "030457",
                                      "030500",
                                      "030626",
                                      "030627",
                                      "040100",
                                      "040201",
                                      "040202",
                                      "040204",
                                      "040210",
                                      "040211",
                                      "040212",
                                      "040213",
                                      "040300",
                                      "040303",
                                      "040305",
                                      "040306",
                                      "040307",
                                      "040308",
                                      "040309",
                                      "040400",
                                      "040500",
                                      "040613",
                                      "040614",
                                      "050100",
                                      "050301",
                                      "050303",
                                      "050305",
                                      "050400",
                                      "060100",
                                      "060301",
                                      "060400",
                                      "070100",
                                      "070101",
                                      "070201",
                                      "070202",
                                      "080101",
                                      "080102",
                                      "090000",
                                      "090100",
                                      "090101",
                                      "090102",
                                      "090103",
                                      "090104",
                                      "090105"
                                    ],
                                    "x-status-code-details": [
                                      {
                                        "code": "020101",
                                        "description": "Buyer is eligible",
                                        "domain": "ELIGIBILITY",
                                        "status": "ELIGIBLE",
                                        "substatus": "ELIGIBLE",
                                        "experienceCode": "000"
                                      },
                                      {
                                        "code": "020202",
                                        "description": "Buyer is ineligible (status)",
                                        "domain": "ELIGIBILITY",
                                        "status": "INELIGIBLE",
                                        "substatus": "BUYER_STATUS",
                                        "experienceCode": "008"
                                      },
                                      {
                                        "code": "020203",
                                        "description": "Buyer is ineligible (country)",
                                        "domain": "ELIGIBILITY",
                                        "status": "INELIGIBLE",
                                        "substatus": "BUYER_COUNTRY",
                                        "experienceCode": "008"
                                      },
                                      {
                                        "code": "020204",
                                        "description": "Buyer is ineligible (region)",
                                        "domain": "ELIGIBILITY",
                                        "status": "INELIGIBLE",
                                        "substatus": "BUYER_REGION",
                                        "experienceCode": "008"
                                      },
                                      {
                                        "code": "020205",
                                        "description": "Buyer is ineligible (age)",
                                        "domain": "ELIGIBILITY",
                                        "status": "INELIGIBLE",
                                        "substatus": "BUYER_AGE",
                                        "experienceCode": "008"
                                      },
                                      {
                                        "code": "020206",
                                        "description": "Buyer is ineligible (age - AL)",
                                        "domain": "ELIGIBILITY",
                                        "status": "INELIGIBLE",
                                        "substatus": "BUYER_AGE_AL",
                                        "experienceCode": "002"
                                      },
                                      {
                                        "code": "020207",
                                        "description": "Buyer is ineligible due to invalid PO box address",
                                        "domain": "ELIGIBILITY",
                                        "status": "INELIGIBLE",
                                        "substatus": "INVALID_ADDRESS_POBOX",
                                        "experienceCode": "003"
                                      },
                                      {
                                        "code": "020208",
                                        "description": "Buyer is ineligible due to address being No Match",
                                        "domain": "ELIGIBILITY",
                                        "status": "INELIGIBLE",
                                        "substatus": "INVALID_ADDRESS_NOMATCH",
                                        "experienceCode": "004"
                                      },
                                      {
                                        "code": "030101",
                                        "description": "Application approved for checkout",
                                        "domain": "DECISION",
                                        "status": "APPROVED",
                                        "substatus": "APPROVED_FULL",
                                        "experienceCode": "000"
                                      },
                                      {
                                        "code": "030102",
                                        "description": "Application partially approved for checkout",
                                        "domain": "DECISION",
                                        "status": "APPROVED",
                                        "substatus": "APPROVED_PARTIAL",
                                        "experienceCode": "000"
                                      },
                                      {
                                        "code": "030103",
                                        "description": "Application contingent approved for checkout",
                                        "domain": "DECISION",
                                        "status": "APPROVED",
                                        "substatus": "APPROVED_CONTINGENT",
                                        "experienceCode": "012"
                                      },
                                      {
                                        "code": "030205",
                                        "description": "Merchant/payment product configured cart size doesn't fit",
                                        "domain": "DECISION",
                                        "status": "INELIGIBLE",
                                        "substatus": "INELIGIBLE_CART",
                                        "experienceCode": "008"
                                      },
                                      {
                                        "code": "030209",
                                        "description": "Ineligible denied in last 90 Days",
                                        "domain": "DECISION",
                                        "status": "INELIGIBLE",
                                        "substatus": "PREVIOUS_DENIAL"
                                      },
                                      {
                                        "code": "030211",
                                        "description": "Participating in Skip Payments",
                                        "domain": "DECISION",
                                        "status": "INELIGIBLE",
                                        "substatus": "INELIGIBLE_SKIPPED_INSTALLMENTS",
                                        "experienceCode": "008"
                                      },
                                      {
                                        "code": "030231",
                                        "description": "Max card attempts last 30 days",
                                        "domain": "DECISION",
                                        "status": "INELIGIBLE",
                                        "substatus": "MAX_CARD_ATTEMPT",
                                        "experienceCode": "008"
                                      },
                                      {
                                        "code": "030232",
                                        "description": "Unpaid outstanding loans",
                                        "domain": "DECISION",
                                        "status": "INELIGIBLE",
                                        "substatus": "OUTSTANDING_LOANS",
                                        "experienceCode": "008"
                                      },
                                      {
                                        "code": "030240",
                                        "description": "Credit pulled 5 or more times within 24 hours",
                                        "domain": "DECISION",
                                        "status": "INELIGIBLE",
                                        "substatus": "MAX_BUREAU_ATTEMPTS"
                                      },
                                      {
                                        "code": "030306",
                                        "description": "Credit Freeze",
                                        "domain": "DECISION",
                                        "status": "INCOMPLETE",
                                        "substatus": "INCOMPLETE_CREDIT_FREEZE",
                                        "experienceCode": "005"
                                      },
                                      {
                                        "code": "030307",
                                        "description": "DOB, short SSN  mismatch or Credit No Hit",
                                        "domain": "DECISION",
                                        "status": "INCOMPLETE",
                                        "substatus": "NEEDS_FULL_IIN"
                                      },
                                      {
                                        "code": "030353",
                                        "description": "Incomplete No EFA Phone Number",
                                        "domain": "DECISION",
                                        "status": "INCOMPLETE",
                                        "substatus": "INCOMPLETE_NO_EFA_NUMBER",
                                        "experienceCode": "001"
                                      },
                                      {
                                        "code": "030354",
                                        "description": "Incomplete Credit Optics Freeze",
                                        "domain": "DECISION",
                                        "status": "INCOMPLETE",
                                        "substatus": "INCOMPLETE_CREDITOPTICS_FREEZE",
                                        "experienceCode": "005"
                                      },
                                      {
                                        "code": "030355",
                                        "description": "Incomplete Precise ID Freeze",
                                        "domain": "DECISION",
                                        "status": "INCOMPLETE",
                                        "substatus": "INCOMPLETE_PRECISEID_FREEZE",
                                        "experienceCode": "005"
                                      },
                                      {
                                        "code": "030404",
                                        "description": "Full SSN mismatch or credit no hit (with full SSN)",
                                        "domain": "DECISION",
                                        "status": "DENIED",
                                        "substatus": "INSUFFICIENT_DATA",
                                        "experienceCode": "008"
                                      },
                                      {
                                        "code": "030408",
                                        "description": "Credit Denial",
                                        "domain": "DECISION",
                                        "status": "DENIED",
                                        "substatus": "DENIED_CREDIT"
                                      },
                                      {
                                        "code": "030410",
                                        "description": "Credit freeze denial",
                                        "domain": "DECISION",
                                        "status": "DENIED",
                                        "substatus": "DENIED_FRAUD_ALERT"
                                      },
                                      {
                                        "code": "030412",
                                        "description": "ADS Credit file denial from underwriting service",
                                        "domain": "DECISION",
                                        "status": "DENIED",
                                        "substatus": "DENIED_NO_CREDIT_FILE",
                                        "experienceCode": "008"
                                      },
                                      {
                                        "code": "030413",
                                        "description": "ADS Credit file denial from underwriting service",
                                        "domain": "DECISION",
                                        "status": "DENIED",
                                        "substatus": "DENIED_NO_CREDIT_SCORE",
                                        "experienceCode": "008"
                                      },
                                      {
                                        "code": "030414",
                                        "description": "ADS Credit file denial from underwriting service",
                                        "domain": "DECISION",
                                        "status": "DENIED",
                                        "substatus": "DENIED_THIN_FILE",
                                        "experienceCode": "008"
                                      },
                                      {
                                        "code": "030415",
                                        "description": "ADS Credit file denial from underwriting service",
                                        "domain": "DECISION",
                                        "status": "DENIED",
                                        "substatus": "DENIED_REPOSSESSIONS"
                                      },
                                      {
                                        "code": "030416",
                                        "description": "ADS Credit file denial from underwriting service",
                                        "domain": "DECISION",
                                        "status": "DENIED",
                                        "substatus": "DENIED_FORECLOSURE"
                                      },
                                      {
                                        "code": "030417",
                                        "description": "ADS Credit file denial from underwriting service",
                                        "domain": "DECISION",
                                        "status": "DENIED",
                                        "substatus": "DENIED_DEROGATORY_RECORD"
                                      },
                                      {
                                        "code": "030418",
                                        "description": "ADS Credit file denial from underwriting service",
                                        "domain": "DECISION",
                                        "status": "DENIED",
                                        "substatus": "DENIED_TRADE_PAST_DUE",
                                        "experienceCode": "008"
                                      },
                                      {
                                        "code": "030419",
                                        "description": "ADS Credit file denial from underwriting service",
                                        "domain": "DECISION",
                                        "status": "DENIED",
                                        "substatus": "DENIED_COLLECTIONS",
                                        "experienceCode": "008"
                                      },
                                      {
                                        "code": "030420",
                                        "description": "ADS Credit file denial from underwriting service",
                                        "domain": "DECISION",
                                        "status": "DENIED",
                                        "substatus": "DENIED_REVOLVING_CREDIT_UTILIZATION"
                                      },
                                      {
                                        "code": "030421",
                                        "description": "ADS Credit file denial from underwriting service",
                                        "domain": "DECISION",
                                        "status": "DENIED",
                                        "substatus": "DENIED_INSUFFICIENT_CAPACITY",
                                        "experienceCode": "008"
                                      },
                                      {
                                        "code": "030422",
                                        "description": "ADS Credit file denial from underwriting service",
                                        "domain": "DECISION",
                                        "status": "DENIED",
                                        "substatus": "DENIED_AUTHORIZED_TRADELINES"
                                      },
                                      {
                                        "code": "030423",
                                        "description": "Denied low FICO",
                                        "domain": "DECISION",
                                        "status": "DENIED",
                                        "substatus": "DENIED_LOW_FICO"
                                      },
                                      {
                                        "code": "030424",
                                        "description": "ADS Credit file denial from underwriting service",
                                        "domain": "DECISION",
                                        "status": "DENIED",
                                        "substatus": "DENIED_CRUST",
                                        "experienceCode": "008"
                                      },
                                      {
                                        "code": "030425",
                                        "description": "ADS Credit file denial from underwriting service",
                                        "domain": "DECISION",
                                        "status": "DENIED",
                                        "substatus": "DENIED_BREAD_CHARGE_OFF",
                                        "experienceCode": "008"
                                      },
                                      {
                                        "code": "030426",
                                        "description": "ADS Credit file denial from underwriting service",
                                        "domain": "DECISION",
                                        "status": "DENIED",
                                        "substatus": "DENIED_PAST_LOAN_OVERDUE",
                                        "experienceCode": "008"
                                      },
                                      {
                                        "code": "030427",
                                        "description": "ADS Credit file denial from underwriting service",
                                        "domain": "DECISION",
                                        "status": "DENIED",
                                        "substatus": "DENIED_LOAN_CURRENTLY_OVERDUE",
                                        "experienceCode": "008"
                                      },
                                      {
                                        "code": "030428",
                                        "description": "ADS Credit file denial from underwriting service",
                                        "domain": "DECISION",
                                        "status": "DENIED",
                                        "substatus": "DENIED_CHARGE_OFF",
                                        "experienceCode": "008"
                                      },
                                      {
                                        "code": "030429",
                                        "description": "ADS Credit file denial from underwriting service",
                                        "domain": "DECISION",
                                        "status": "DENIED",
                                        "substatus": "DENIED_ACCOUNT_PAST_DUE",
                                        "experienceCode": "008"
                                      },
                                      {
                                        "code": "030430",
                                        "description": "ADS Credit file denial from underwriting service",
                                        "domain": "DECISION",
                                        "status": "DENIED",
                                        "substatus": "DENIED_INQUIRIES",
                                        "experienceCode": "008"
                                      },
                                      {
                                        "code": "030433",
                                        "description": "Denied low credit limit",
                                        "domain": "DECISION",
                                        "status": "DENIED",
                                        "substatus": "LOW_CREDIT_LIMIT",
                                        "experienceCode": "008"
                                      },
                                      {
                                        "code": "030434",
                                        "description": "SplitPay Denied Low Credit Limit & Low FICO",
                                        "domain": "DECISION",
                                        "status": "DENIED",
                                        "substatus": "LOW_FICO_LOW_CREDIT_LIMIT"
                                      },
                                      {
                                        "code": "030435",
                                        "description": "Credit card debt (bankcard + retail) >50k",
                                        "domain": "DECISION",
                                        "status": "DENIED",
                                        "substatus": "DENIED_REVOLVING_DEBT_HIGH",
                                        "experienceCode": "008"
                                      },
                                      {
                                        "code": "030436",
                                        "description": "Credit card debt (bankcard + retail) <2k",
                                        "domain": "DECISION",
                                        "status": "DENIED",
                                        "substatus": "DENIED_REVOLVING_DEBT_LOW",
                                        "experienceCode": "008"
                                      },
                                      {
                                        "code": "030437",
                                        "description": "Self reported income <20,000",
                                        "domain": "DECISION",
                                        "status": "DENIED",
                                        "substatus": "DENIED_SELF_REPORTED_INCOME",
                                        "experienceCode": "008"
                                      },
                                      {
                                        "code": "030438",
                                        "description": "Low vantage (<660)",
                                        "domain": "DECISION",
                                        "status": "DENIED",
                                        "substatus": "DENIED_LOW_VANTAGE"
                                      },
                                      {
                                        "code": "030439",
                                        "description": "Buyer status is insolvent",
                                        "domain": "DECISION",
                                        "status": "DENIED",
                                        "substatus": "DENIED"
                                      },
                                      {
                                        "code": "030441",
                                        "description": "Buyer has previous credit abuse",
                                        "domain": "DECISION",
                                        "status": "DENIED",
                                        "substatus": "DENIED_CREDIT_ABUSE",
                                        "experienceCode": "008"
                                      },
                                      {
                                        "code": "030442",
                                        "description": "Buyer is deceased per Credit Optics",
                                        "domain": "DECISION",
                                        "status": "DENIED",
                                        "substatus": "DENIED_CREDITOPTICS_DECEASED",
                                        "experienceCode": "008"
                                      },
                                      {
                                        "code": "030443",
                                        "description": "Buyer is declined per Credit Optics",
                                        "domain": "DECISION",
                                        "status": "DENIED",
                                        "substatus": "DENIED_CREDITOPTICS_DECLINE",
                                        "experienceCode": "008"
                                      },
                                      {
                                        "code": "030444",
                                        "description": "Buyer is deceased",
                                        "domain": "DECISION",
                                        "status": "DENIED",
                                        "substatus": "DENIED_BUREAU_DECEASED",
                                        "experienceCode": "008"
                                      },
                                      {
                                        "code": "030445",
                                        "description": "Buyer is deceased per Precise ID",
                                        "domain": "DECISION",
                                        "status": "DENIED",
                                        "substatus": "DENIED_PRECISEID_DECEASED",
                                        "experienceCode": "008"
                                      },
                                      {
                                        "code": "030446",
                                        "description": "Buyer is declined per Precise ID",
                                        "domain": "DECISION",
                                        "status": "DENIED",
                                        "substatus": "DENIED_PRECISEID_DECLINE",
                                        "experienceCode": "008"
                                      },
                                      {
                                        "code": "030447",
                                        "description": "Buyer is deceased per Equifax",
                                        "domain": "DECISION",
                                        "status": "DENIED",
                                        "substatus": "DENIED_EQUIFAX_DECEASED",
                                        "experienceCode": "008"
                                      },
                                      {
                                        "code": "030448",
                                        "description": "Miscellaneous Denials for Bureau Data reasons",
                                        "domain": "DECISION",
                                        "status": "DENIED",
                                        "substatus": "DENIED_BUREAU_DATA",
                                        "experienceCode": "008"
                                      },
                                      {
                                        "code": "030449",
                                        "description": "Buyer credit score denial",
                                        "domain": "DECISION",
                                        "status": "DENIED",
                                        "substatus": "DENIED_LOW_BUREAU",
                                        "experienceCode": "008"
                                      },
                                      {
                                        "code": "030450",
                                        "description": "ADS Credit file denial from underwriting service",
                                        "domain": "DECISION",
                                        "status": "DENIED",
                                        "substatus": "DENIED_LOW_CRUST_LOW_SCORE",
                                        "experienceCode": "008"
                                      },
                                      {
                                        "code": "030451",
                                        "description": "ADS Credit file denial from underwriting service",
                                        "domain": "DECISION",
                                        "status": "DENIED",
                                        "substatus": "DENIED_FRAUD_CHARGED_OFF",
                                        "experienceCode": "008"
                                      },
                                      {
                                        "code": "030452",
                                        "description": "ADS Credit file denial from underwriting service",
                                        "domain": "DECISION",
                                        "status": "DENIED",
                                        "substatus": "DECEASED_CHARGED_OFF",
                                        "experienceCode": "008"
                                      },
                                      {
                                        "code": "030456",
                                        "description": "Buyer credit experience denial",
                                        "domain": "DECISION",
                                        "status": "DENIED",
                                        "substatus": "DENIED_CREDIT_EXPERIENCE",
                                        "experienceCode": "008"
                                      },
                                      {
                                        "code": "030457",
                                        "description": "Buyer recent trades denial",
                                        "domain": "DECISION",
                                        "status": "DENIED",
                                        "substatus": "DENIED_RECENT_TRADES",
                                        "experienceCode": "008"
                                      },
                                      {
                                        "code": "030500",
                                        "description": "Application transaction authorization approved for checkout",
                                        "domain": "DECISION",
                                        "status": "TXN_AUTH_APPROVED"
                                      },
                                      {
                                        "code": "030626",
                                        "description": "Transaction authorization denied due to past loan overdue",
[...]
